function[timeemissionmask]=time_mask(Tmin,Tmax,smp)


% -----------------------------------------------
% Step Zero - Input parameters and Initialization
% -----------------------------------------------

% sampling period
dt = (Tmax-Tmin)/smp;
% sampling frequency
fs = 1/dt;
% Inizialization of the time axis
x=linspace(Tmin,Tmax,smp);

% Periods of the sin(x)/x functions in the time domain

t(1)=1/(0.96e9);
t(2)=1/(0.65e9);
t(3)=1/(0.38e9);
t(4)=1/(1.11e9);
t(5)=1/(7.5e9);
% Adjusting the last value depending on fs
t(6)=1/(fs/2-10.6);

% Amplitudes of the rects functions in the frequency domain

a(1)=261.408;
a(2)=3.53;
a(3)=25.99;
a(4)=95.571;
a(5)=2042.25;
% Adjusting the last value depending on fs
a(6)=8.61e-8/t(6);

% Evaluation of the frequency shifts

for i=1:6
    f0(i)=0;
    if i>1
        for k=1:(i-1)
            f0(i)=f0(i)+1/t(k)
        end
        f0(i)=f0(i)+1/(2*t(i));
    else
        f0(i)=1/(2*t(i));
    end
    s(i,:)=a(i)*(sin(pi*x/t(i))./(pi*x/t(i))).*exp(j*2*pi*f0(i)*x); 
% Performing the fourier AT
end
comb=ones(1,6);
timeemissionmask=comb * s;
